New post
0

What Is The Minimum Celestron Hand Controller Firmware Version Required To Connect Using SkySafari 6 Pro + SkyFi 3? (Answer: 4.0)

Need help, very low experience with wi fi, can not connect to telescope, tried many times all your recommendations
telescope is a celestron nexstar 11 gps, model year 2000, from the very first batch out of the factory
scope works pretty good. please advice a step by step connection procedure
I have the original connector DB9 - phone jack from celestron
use to work ok with the Sky.
thanks, help is really appreciated

4 comments

  • 0
    Avatar
    Keiron Smith

    Hi Carlos, 

    Celestron hand controller firmware 4.0 and higher is required.  Please check your hand controller firmware version first.

    Thanks!

  • 0
    Avatar
    carlos humberto murillo galindo

    thanks

    my hand control indicates 2.2 4.3 4.3 1.0 1.0

    that means it is not the older version, it is a 2.2 hand control software version, right ? can this be upgraded via a PC/ or should I get a new hand control with the latest version?

    what is your recommendation?

    thanks a lot for your support

  • 0
    Avatar
    Keiron Smith

    Hi Carlos, 

    Please contact Celestron Support and ask about options for updating firmware or upgrading the hand controller.

    Email: mail@celestronsupport.com
    Phone: 1-800-421-9649

    Thanks!

  • 0
    Avatar
    Keiron Smith

    Hi Carlos, 

    If you want to use Starry Night on Windows 10 + ASCOM then you can connect to and controller your scope using the current firmware.  

    SkySafari, however, will not work with firmware version 2.2.

    Thanks!

Please sign in to leave a comment.